### Function

# GLib ByteArray set_size

#### Declaration

    GByteArray*
    g_byte_array_set_size (
      GByteArray* array,
      guint length
    )

#### Description

Sets the size of the `GByteArray`, expanding it if necessary.

#### Parameters

`array`

  Type: An array of `guint8`

  A `GByteArray`.

  The data is owned by the caller of the function.

`length`

  Type: `guint`

  The new size of the `GByteArray`.

#### Return value

Type: An array of `guint8`

The `GByteArray`.

The data is owned by the called function.